## iproute2 6.7.0

=== debian/changelog ===
iproute2 (6.7.0-2) unstable; urgency=medium

  * Backport fix for 'ss' output

 -- Luca Boccassi <bluca@debian.org>  Mon, 22 Jan 2024 12:24:29 +0000

iproute2 (6.7.0-1) unstable; urgency=medium

  * Add Italian debconf translation (Closes: #1056582)
  * Update upstream source from tag 'upstream/6.7.0'
  * Bump copyright year ranges in d/copyright
  * Drop 0002-Revert-Makefile-ensure-CONF_USR_DIR-honours-the-libd.patch,
    merged upstream
  * Default config files moved from /usr/lib to /usr/share

 -- Luca Boccassi <bluca@debian.org>  Fri, 12 Jan 2024 21:47:59 +0000

iproute2 (6.6.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.6.0'
  * Backport patch to fix configuration installation
  * Remove handling of qt_atm.so, dropped upstream

 -- Luca Boccassi <bluca@debian.org>  Sun, 05 Nov 2023 22:46:20 +0000

iproute2 (6.5.0-5) unstable; urgency=medium

  * Use dh-sequence-movetousr

 -- Luca Boccassi <bluca@debian.org>  Tue, 24 Oct 2023 15:24:01 +0100

iproute2 (6.5.0-4) unstable; urgency=medium

  * postinst: handle legacy config files only when upgrading from previous
    versions that shipped them
  * postinst: ensure that locally modified legacy config files are
    preserved as overrides on upgrade (Closes: #1051577)
  * Note configuration files location changes in NEWS

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Sep 2023 18:58:51 +0100

iproute2 (6.5.0-3) unstable; urgency=medium

  * Remove further leftovers as part of upstream's move of config to /usr
    (Closes: #1051577)

 -- Luca Boccassi <bluca@debian.org>  Mon, 11 Sep 2023 09:42:12 +0100

iproute2 (6.5.0-2) unstable; urgency=medium

  * Add maintscript to remove conffiles that upstream has moved to /usr
    (Closes: #1051577)

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Sep 2023 21:28:28 +0100

iproute2 (6.5.0-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Use wildcard for Lintian overrides

  [ Peter Kvillegård ]
  * Add Swedish translation of debconf messages (Closes: #1050442)

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/6.5.0'
  * Use cap_bpf instead of cap_sys_admin for ip vrf-exec
  * Package-provided config files are now shipped in /usr/iproute2 instead
    of /etc/iproute2

 -- Luca Boccassi <bluca@debian.org>  Sat, 09 Sep 2023 16:32:54 +0100

=== debian/control ===
Source: iproute2
Section: net
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>
Homepage: https://wiki.linuxfoundation.org/networking/iproute2
Vcs-Browser: https://salsa.debian.org/kernel-team/iproute2
Vcs-Git: https://salsa.debian.org/kernel-team/iproute2.git
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: bison,
               debhelper-compat (= 13),
               dh-package-notes,
               dh-sequence-movetousr,
               flex,
               libxtables-dev,
               libatm1-dev,
               libbsd-dev,
               libbpf-dev (>= 1:0.1.0~),
               libcap-dev,
               libdb-dev,
               libelf-dev,
               libmnl-dev,
               libselinux1-dev,
               linux-libc-dev,
               pkg-config,
               po-debconf,
               zlib1g-dev,

Package: iproute2
Priority: important
Architecture: linux-any
Provides: arpd
Conflicts: arpd
Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin,
Recommends: ${ipmods:Recommends}
Suggests: iproute2-doc, python3:any
Multi-Arch: foreign
Description: networking and traffic control tools
 The iproute2 suite is a collection of utilities for networking and
 traffic control.
 .
 These tools communicate with the Linux kernel via the (rt)netlink
 interface, providing advanced features not available through the
 legacy net-tools commands 'ifconfig' and 'route'.

Package: iproute2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: networking and traffic control tools - documentation
 The iproute2 suite is a collection of utilities for networking and
 traffic control.
 .
 This package contains the documentation for iproute.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# for DEB_* variables
include /usr/share/dpkg/default.mk
include /usr/share/debhelper/dh_package_notes/package-notes.mk

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	export CC=$(DEB_HOST_GNU_TYPE)-gcc
	export HOSTCC=gcc
	export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
else
	# some tools are to be built with the host compiler and intentionally
	# ignore the *FLAGS, use them anyway in a non-cross build to make
	# dpkg-buildflags-missing happy
	export CBUILD_CFLAGS=$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
endif

ifneq (,$(findstring terse,$(DEB_BUILD_OPTIONS)))
export VERBOSE=0
else
export VERBOSE=1
endif

export KERNEL_INCLUDE=./include
export NETNS_RUN_DIR=/run/netns

%:
	dh $@

execute_after_dh_clean:
	make distclean

override_dh_shlibdeps:
	dh_shlibdeps -a -Xm_xt.so -Xm_ipt.so
	dh_shlibdeps -a -- -pipmods -dRecommends -e debian/iproute2/usr/lib/$(DEB_HOST_MULTIARCH)/tc/m_xt.so -xlibc6

override_dh_auto_test:
	# upstream test suite needs root and leaves machine unclean, skip it

# We are not shipping the ifstat binary as it conflicts with another Debian
# package, so avoid shipping the manpage as well. See #873818
override_dh_install:
	dh_install -Xifstat.8

## iproute2 6.9.0

=== debian/changelog ===
iproute2 (6.9.0-1) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes
  * Update upstream source from tag 'upstream/6.9.0'
  * Enable output with colors on terminals

 -- Luca Boccassi <bluca@debian.org>  Thu, 16 May 2024 10:30:39 +0100

iproute2 (6.8.0-1) unstable; urgency=medium

  [ Ceppo ]
  * Update Italian po-debconf translation (Closes: #1063002)

  [ Luca Boccassi ]
  * Add build dependency on libnsl-dev (Closes: #1065214)
  * Switch to pkgconf
  * Update upstream source from tag 'upstream/6.8.0'
  * Drop 0002-ss-show-extra-info-when-processes-is-not-used.patch, merged
    upstream
  * Drop iproute2-doc package
  * Drop tc/m_xt.so and tc/m_ipt.so, removed upstream

 -- Luca Boccassi <bluca@debian.org>  Tue, 12 Mar 2024 14:02:38 +0000

## iproute2 6.10.0

=== debian/changelog ===
iproute2 (6.10.0-2ubuntu1) oracular; urgency=medium

  * Reintroduce Ubuntu Fan Support (LP: #2064508)

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 10 Oct 2024 14:19:10 +0100

iproute2 (6.10.0-2) unstable; urgency=medium

  * Team upload
  * Revert "Drop legacy /usr/sbin/ip symlink", as many packages still depend
    on /sbin/ip or /usr/sbin/ip

 -- Ben Hutchings <benh@debian.org>  Thu, 22 Aug 2024 01:41:38 +0200

iproute2 (6.10.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.10.0'
  * Drop legacy /usr/sbin/ip symlink

 -- Luca Boccassi <bluca@debian.org>  Fri, 19 Jul 2024 10:35:37 +0100

=== debian/control ===
Source: iproute2
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>
Homepage: https://wiki.linuxfoundation.org/networking/iproute2
Vcs-Browser: https://salsa.debian.org/kernel-team/iproute2
Vcs-Git: https://salsa.debian.org/kernel-team/iproute2.git
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: bison,
               debhelper-compat (= 13),
               dh-package-notes,
               dh-sequence-movetousr,
               flex,
               libxtables-dev,
               libatm1-dev,
               libbsd-dev,
               libbpf-dev (>= 1:0.1.0~),
               libcap-dev,
               libdb-dev,
               libelf-dev,
               libmnl-dev,
               libnsl-dev,
               libselinux1-dev,
               linux-libc-dev,
               pkgconf,
               po-debconf,
               zlib1g-dev,

Package: iproute2
Priority: important
Architecture: linux-any
Provides: arpd
Conflicts: arpd
Breaks: iproute2-doc
Replaces: iproute2-doc
Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin,
Suggests: python3:any
Multi-Arch: foreign
Description: networking and traffic control tools
 The iproute2 suite is a collection of utilities for networking and
 traffic control.
 .
 These tools communicate with the Linux kernel via the (rt)netlink
 interface, providing advanced features not available through the
 legacy net-tools commands 'ifconfig' and 'route'.

## iproute2 6.13.0

=== debian/changelog ===
iproute2 (6.13.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Thu, 30 Jan 2025 21:31:15 +0000

iproute2 (6.13.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.13.0'

 -- Luca Boccassi <bluca@debian.org>  Fri, 24 Jan 2025 11:03:54 +0000

iproute2 (6.12.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Thu, 28 Nov 2024 12:54:10 +0000

iproute2 (6.12.0-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Update translations

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/6.12.0'

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 Nov 2024 14:16:21 +0000

iproute2 (6.11.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Fri, 18 Oct 2024 18:22:14 +0100

iproute2 (6.11.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.11.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 08 Oct 2024 15:16:31 +0100

iproute2 (6.9.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 21 May 2024 13:05:38 +0100

iproute2 (6.8.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 May 2024 11:54:22 +0100

iproute2 (6.7.0-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Sat, 27 Jan 2024 18:37:46 +0000

iproute2 (6.6.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Dec 2023 13:12:08 +0000

iproute2 (6.5.0-5~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Revert "Use dh-sequence-movetousr" for bookworm-backports

 -- Luca Boccassi <bluca@debian.org>  Sat, 04 Nov 2023 00:25:07 +0000

iproute2 (6.3.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Upload to bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 20 Jun 2023 11:10:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: iproute2
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>
 Homepage: https://wiki.linuxfoundation.org/networking/iproute2
 Vcs-Browser: https://salsa.debian.org/kernel-team/iproute2
@@ -12,7 +11,6 @@
 Build-Depends: bison,
                debhelper-compat (= 13),
                dh-package-notes,
-               dh-sequence-movetousr,
                flex,
                libxtables-dev,
                libatm1-dev,

## iproute2 6.14.0

=== man/Makefile ===
# SPDX-License-Identifier: GPL-2.0
INSTALL=install
INSTALLDIR=install -m 0755 -d
INSTALLMAN=install -m 0644
# Pass the same parameters as Lintian uses on Debian.
MAN_CHECK=LC_ALL=en_US.UTF-8 MANROFFSEQ='' MANWIDTH=100 man --warnings \
	--encoding=UTF-8 --local-file --troff-device=utf8 --ditroff
# Hide man output, count and print errors.
MAN_REDIRECT=2>&1 >/dev/null | tee /dev/fd/2 | wc -l

SUBDIRS = man3 man7 man8

all clean install check:
	@for subdir in $(SUBDIRS); do $(MAKE) -C $$subdir $@ || exit $$?; done

distclean: clean

.PHONY: install clean distclean check

.EXPORT_ALL_VARIABLES:

=== vdpa/Makefile ===
# SPDX-License-Identifier: GPL-2.0
include ../config.mk

CFLAGS += -I./include/uapi/
VDPAOBJ = vdpa.o
TARGETS += vdpa

all: $(TARGETS) $(LIBS)

vdpa: $(VDPAOBJ)
	$(QUIET_LINK)$(CC) $^ $(LDFLAGS) $(LDLIBS) -o $@

install: all
	for i in $(TARGETS); \
	do install -m 0755 $$i $(DESTDIR)$(SBINDIR); \
	done

clean:
	rm -f $(VDPAOBJ) $(TARGETS)

=== debian/changelog ===
iproute2 (6.14.0-3) unstable; urgency=medium

  * autopkgtest: remove build-essential and dpkg-dev deps, add gcc
    (Closes: #1100113)
  * autopkgtest: add hint-testsuite-triggers for kernel and compiler
  * Fix Forwarded metadata field in backported patches
  * Backport patch to fix null pointer dereference

 -- Luca Boccassi <bluca@debian.org>  Sat, 12 Apr 2025 12:15:56 +0100

iproute2 (6.14.0-2) unstable; urgency=medium

  * Backport patches to fix color output with dark backgrounds (Closes:
    #1088739)

 -- Luca Boccassi <bluca@debian.org>  Sun, 06 Apr 2025 18:26:52 +0100

iproute2 (6.14.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.14.0'
  * Backport patches to support NO_COLOR env var from upstream
  * d/control: bump Standards-Version to 4.7.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Mar 2025 10:13:53 +0000

## iproute2 6.15.0

=== debian/changelog ===
iproute2 (6.15.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Sun, 01 Jun 2025 13:17:14 +0100

iproute2 (6.15.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.15.0'
    (Closes: #1106321)
  * Drop all backported patches, merged upstream
  * d/copyright: use GPL URL instead of old FSF postal address

 -- Luca Boccassi <bluca@debian.org>  Tue, 27 May 2025 00:16:26 +0100

iproute2 (6.14.0-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 22 Apr 2025 11:42:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: https://wiki.linuxfoundation.org/networking/iproute2
 Vcs-Browser: https://salsa.debian.org/kernel-team/iproute2
 Vcs-Git: https://salsa.debian.org/kernel-team/iproute2.git
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: bison,
                debhelper-compat (= 13),

## iproute2 6.16.0

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Top level Makefile for iproute2

-include config.mk

ifeq ("$(origin V)", "command line")
VERBOSE = $(V)
endif
ifndef VERBOSE
VERBOSE = 0
endif

ifeq ($(VERBOSE),0)
MAKEFLAGS += --no-print-directory
endif

PREFIX?=/usr
SBINDIR?=/sbin
NETNS_RUN_DIR?=/var/run/netns
NETNS_ETC_DIR?=/etc/netns
DATADIR?=$(PREFIX)/share
HDRDIR?=$(PREFIX)/include/iproute2
CONF_ETC_DIR?=/etc/iproute2
CONF_USR_DIR?=$(DATADIR)/iproute2
DOCDIR?=$(DATADIR)/doc/iproute2
MANDIR?=$(DATADIR)/man
ARPDDIR?=/var/lib/arpd
KERNEL_INCLUDE?=/usr/include
BASH_COMPDIR?=$(DATADIR)/bash-completion/completions

# Path to db_185.h include
DBM_INCLUDE:=$(DESTDIR)/usr/include

SHARED_LIBS = y

DEFINES= -DRESOLVE_HOSTNAMES -DLIBDIR=\"$(LIBDIR)\"
ifneq ($(SHARED_LIBS),y)
DEFINES+= -DNO_SHARED_LIBS
endif

DEFINES+=-DCONF_USR_DIR=\"$(CONF_USR_DIR)\" \
         -DCONF_ETC_DIR=\"$(CONF_ETC_DIR)\" \
         -DNETNS_RUN_DIR=\"$(NETNS_RUN_DIR)\" \
         -DNETNS_ETC_DIR=\"$(NETNS_ETC_DIR)\" \
         -DARPDDIR=\"$(ARPDDIR)\" \
         -DCONF_COLOR=$(CONF_COLOR)

#options for AX.25
ADDLIB+=ax25_ntop.o

#options for AX.25
ADDLIB+=rose_ntop.o

#options for mpls
ADDLIB+=mpls_ntop.o mpls_pton.o

#options for NETROM
ADDLIB+=netrom_ntop.o

CC := gcc
HOSTCC ?= $(CC)
DEFINES += -D_GNU_SOURCE
# Turn on transparent support for LFS
DEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
CCOPTS = -O2 -pipe
WFLAGS := -Wall -Wstrict-prototypes  -Wmissing-prototypes
WFLAGS += -Wmissing-declarations -Wold-style-definition -Wformat=2

CFLAGS := $(WFLAGS) $(CCOPTS) -I../include -I../include/uapi $(DEFINES) $(CFLAGS)
YACCFLAGS = -d -t -v

SUBDIRS=lib ip tc bridge misc netem genl man
ifeq ($(HAVE_MNL),y)
SUBDIRS += tipc devlink rdma dcb vdpa
endif

LIBNETLINK=../lib/libutil.a ../lib/libnetlink.a
LDLIBS += $(LIBNETLINK)

all: config.mk
	@set -e; \
	for i in $(SUBDIRS); \
	do echo; echo $$i; $(MAKE) -C $$i; done

.PHONY: clean clobber distclean check cscope version

help:
	@echo "Make Targets:"
	@echo " all                 - build binaries"
	@echo " clean               - remove products of build"
	@echo " distclean           - remove configuration and build"
	@echo " install             - install binaries on local machine"
	@echo " check               - run tests"
	@echo " cscope              - build cscope database"
	@echo " version             - update version"
	@echo ""
	@echo "Make Arguments:"
	@echo " V=[0|1]             - set build verbosity level"

config.mk:
	@if [ ! -f config.mk -o configure -nt config.mk ]; then \
		sh configure $(KERNEL_INCLUDE); \
	fi

install: all
	install -m 0755 -d $(DESTDIR)$(SBINDIR)
	install -m 0755 -d $(DESTDIR)$(CONF_USR_DIR)
	install -m 0755 -d $(DESTDIR)$(HDRDIR)
	@for i in $(SUBDIRS);  do $(MAKE) -C $$i install; done
	install -m 0644 $(shell find etc/iproute2 -maxdepth 1 -type f) $(DESTDIR)$(CONF_USR_DIR)
	install -m 0755 -d $(DESTDIR)$(BASH_COMPDIR)
	install -m 0644 bash-completion/tc $(DESTDIR)$(BASH_COMPDIR)
	install -m 0644 bash-completion/devlink $(DESTDIR)$(BASH_COMPDIR)
	install -m 0644 include/bpf_elf.h $(DESTDIR)$(HDRDIR)

version:
	echo "static const char version[] = \""`git describe --tags --long`"\";" \
		> include/version.h

clean:
	@for i in $(SUBDIRS) testsuite; \
	do $(MAKE) -C $$i clean; done

clobber:
	touch config.mk
	$(MAKE) clean
	rm -f config.mk cscope.*

distclean: clobber

check: all
	$(MAKE) -C testsuite
	$(MAKE) -C testsuite alltests
	@if command -v man >/dev/null 2>&1; then \
		echo "Checking manpages for syntax errors..."; \
		$(MAKE) -C man check; \
	else \
		echo "man not installed, skipping checks for syntax errors."; \
	fi

cscope:
	cscope -b -q -R -Iinclude -sip -slib -smisc -snetem -stc

.EXPORT_ALL_VARIABLES:

=== dcb/Makefile ===
# SPDX-License-Identifier: GPL-2.0
include ../config.mk

DCBOBJ = dcb.o \
         dcb_app.o \
         dcb_buffer.o \
         dcb_dcbx.o \
         dcb_ets.o \
         dcb_maxrate.o \
         dcb_pfc.o \
         dcb_apptrust.o \
         dcb_rewr.o
TARGETS += dcb
LDLIBS += -lm

all: $(TARGETS) $(LIBS)

dcb: $(DCBOBJ) $(LIBNETLINK)
	$(QUIET_LINK)$(CC) $^ $(LDFLAGS) $(LDLIBS) -o $@

install: all
	for i in $(TARGETS); \
	do install -m 0755 $$i $(DESTDIR)$(SBINDIR); \
	done

clean:
	rm -f $(DCBOBJ) $(TARGETS)

=== lib/Makefile ===
# SPDX-License-Identifier: GPL-2.0
include ../config.mk

CFLAGS += -fPIC

UTILOBJ = utils.o utils_math.o rt_names.o ll_map.o ll_types.o ll_proto.o ll_addr.o \
	inet_proto.o namespace.o json_writer.o json_print.o json_print_math.o \
	names.o color.o bpf_legacy.o bpf_glue.o exec.o fs.o cg_map.o ppp_proto.o

ifeq ($(HAVE_ELF),y)
ifeq ($(HAVE_LIBBPF),y)
UTILOBJ += bpf_libbpf.o
endif
endif

ifneq ($(HAVE_SELINUX),y)
UTILOBJ += selinux.o
endif

NLOBJ=libgenl.o libnetlink.o
ifeq ($(HAVE_MNL),y)
NLOBJ += mnl_utils.o
endif

all: libnetlink.a libutil.a

libnetlink.a: $(NLOBJ)
	$(QUIET_AR)$(AR) rcs $@ $^

libutil.a: $(UTILOBJ) $(ADDLIB)
	$(QUIET_AR)$(AR) rcs $@ $^

install:

clean:
	rm -f $(NLOBJ) $(UTILOBJ) $(ADDLIB) libnetlink.a libutil.a

=== misc/Makefile ===
# SPDX-License-Identifier: GPL-2.0
SSOBJ=ss.o ssfilter_check.o ssfilter.tab.o
LNSTATOBJ=lnstat.o lnstat_util.o

TARGETS=ss nstat ifstat rtacct lnstat

include ../config.mk

ifeq ($(HAVE_BERKELEY_DB),y)
	TARGETS += arpd
endif

all: $(TARGETS)

ss: $(SSOBJ)
	$(QUIET_LINK)$(CC) $^ $(LDFLAGS) $(LDLIBS) -o $@

nstat: nstat.c
	$(QUIET_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o nstat nstat.c $(LDLIBS) -lm

ifstat: ifstat.c
	$(QUIET_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o ifstat ifstat.c $(LDLIBS) -lm

rtacct: rtacct.c
	$(QUIET_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o rtacct rtacct.c $(LDLIBS) -lm

arpd: arpd.c
	$(QUIET_CC)$(CC) $(CFLAGS) -I$(DBM_INCLUDE) $(CPPFLAGS) $(LDFLAGS) -o arpd arpd.c $(LDLIBS) -ldb

ssfilter.tab.c: ssfilter.y
	$(QUIET_YACC)$(YACC) -b ssfilter ssfilter.y

lnstat: $(LNSTATOBJ)
	$(QUIET_LINK)$(CC) $^ $(LDFLAGS) $(LDLIBS) -o $@

install: all
	install -m 0755 $(TARGETS) $(DESTDIR)$(SBINDIR)
	ln -sf lnstat $(DESTDIR)$(SBINDIR)/rtstat
	ln -sf lnstat $(DESTDIR)$(SBINDIR)/ctstat

clean:
	rm -f *.o $(TARGETS) ssfilter.c

=== tc/Makefile ===
# SPDX-License-Identifier: GPL-2.0
TCOBJ= tc.o tc_qdisc.o tc_class.o tc_filter.o tc_util.o tc_monitor.o \
       tc_exec.o m_police.o m_estimator.o m_action.o m_ematch.o \
       emp_ematch.tab.o emp_ematch.lex.o

include ../config.mk

SHARED_LIBS ?= y

TCMODULES :=
TCMODULES += q_fifo.o
TCMODULES += q_sfq.o
TCMODULES += q_red.o
TCMODULES += q_prio.o
TCMODULES += q_skbprio.o
TCMODULES += q_tbf.o
TCMODULES += q_multiq.o
TCMODULES += q_netem.o
TCMODULES += q_choke.o
TCMODULES += q_sfb.o
TCMODULES += f_u32.o
TCMODULES += f_route.o
TCMODULES += f_fw.o
TCMODULES += f_basic.o
TCMODULES += f_bpf.o
TCMODULES += f_flow.o
TCMODULES += f_cgroup.o
TCMODULES += f_flower.o
TCMODULES += q_gred.o
TCMODULES += q_ingress.o
TCMODULES += q_hfsc.o
TCMODULES += q_htb.o
TCMODULES += q_drr.o
TCMODULES += q_qfq.o
TCMODULES += m_gact.o
TCMODULES += m_mirred.o
TCMODULES += m_mpls.o
TCMODULES += m_nat.o
TCMODULES += m_pedit.o
TCMODULES += m_ife.o
TCMODULES += m_skbedit.o
TCMODULES += m_skbmod.o
TCMODULES += m_csum.o
TCMODULES += m_simple.o
TCMODULES += m_vlan.o
TCMODULES += m_connmark.o
TCMODULES += m_ctinfo.o
TCMODULES += m_bpf.o
TCMODULES += m_tunnel_key.o
TCMODULES += m_sample.o
TCMODULES += m_ct.o
TCMODULES += m_gate.o
TCMODULES += p_ip.o
TCMODULES += p_ip6.o
TCMODULES += p_icmp.o
TCMODULES += p_eth.o
TCMODULES += p_tcp.o
TCMODULES += p_udp.o
TCMODULES += em_nbyte.o
TCMODULES += em_cmp.o
TCMODULES += em_u32.o
TCMODULES += em_canid.o
TCMODULES += em_meta.o
TCMODULES += q_mqprio.o
TCMODULES += q_codel.o
TCMODULES += q_fq_codel.o
TCMODULES += q_fq.o
TCMODULES += q_pie.o
TCMODULES += q_fq_pie.o
TCMODULES += q_cake.o
TCMODULES += q_hhf.o
TCMODULES += q_clsact.o
TCMODULES += e_bpf.o
TCMODULES += f_matchall.o
TCMODULES += q_cbs.o
TCMODULES += q_etf.o
TCMODULES += q_taprio.o
TCMODULES += q_plug.o
TCMODULES += q_ets.o

TCSO :=

ifneq ($(TC_CONFIG_NO_XT),y)
  ifeq ($(TC_CONFIG_XT),y)
    TCMODULES += em_ipt.o
    ifeq ($(TC_CONFIG_IPSET),y)
      TCMODULES += em_ipset.o
    endif
  endif
endif

TCOBJ += $(TCMODULES)
LDLIBS += -L. -lm

ifeq ($(SHARED_LIBS),y)
LDLIBS += -ldl
LDFLAGS += -Wl,-export-dynamic
endif

TCLIB := tc_core.o
TCLIB += tc_red.o
TCLIB += tc_estimator.o
TCLIB += tc_stab.o
TCLIB += tc_qevent.o

CFLAGS += -DCONFIG_GACT -DCONFIG_GACT_PROB
ifneq ($(IPT_LIB_DIR),)
	CFLAGS += -DIPT_LIB_DIR=\"$(IPT_LIB_DIR)\"
endif

LEX := flex
CFLAGS += -DYY_NO_INPUT

MODDESTDIR := $(DESTDIR)$(LIBDIR)/tc

%.so: %.c
	$(QUIET_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -fpic $< -o $@


all: tc $(TCSO)

tc: $(TCOBJ) $(LIBNETLINK) libtc.a
	$(QUIET_LINK)$(CC) $^ $(LDFLAGS) $(LDLIBS) -o $@

libtc.a: $(TCLIB)
	$(QUIET_AR)$(AR) rcs $@ $^

install: all
	mkdir -p $(MODDESTDIR)
	install -m 0755 tc $(DESTDIR)$(SBINDIR)
	for i in $(TCSO); \
	do install -m 755 $$i $(MODDESTDIR); \
	done
	if [ ! -f $(MODDESTDIR)/m_ipt.so ]; then \
	if [ -f $(MODDESTDIR)/m_xt.so ]; \
		then ln -s m_xt.so $(MODDESTDIR)/m_ipt.so ; \
	elif [ -f $(MODDESTDIR)/m_xt_old.so ]; \
		then ln -s m_xt_old.so $(MODDESTDIR)/m_ipt.so ; \
	fi; \
	fi

clean:
	rm -f $(TCOBJ) $(TCLIB) libtc.a tc *.so emp_ematch.tab.h; \
	rm -f emp_ematch.tab.*

m_xt.so: m_xt.c
	$(QUIET_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -fpic -o m_xt.so m_xt.c $$($(PKG_CONFIG) xtables --cflags --libs)

m_xt_old.so: m_xt_old.c
	$(QUIET_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -fpic -o m_xt_old.so m_xt_old.c $$($(PKG_CONFIG) xtables --cflags --libs)

em_ipset.o: CFLAGS += $$($(PKG_CONFIG) xtables --cflags)

em_ipt.o: CFLAGS += $$($(PKG_CONFIG) xtables --cflags)

ifeq ($(TC_CONFIG_XT),y)
  LDLIBS += $$($(PKG_CONFIG) xtables --libs)
endif

%.tab.c: %.y
	$(QUIET_YACC)$(YACC) $(YACCFLAGS) -p ematch_ -b $(basename $(basename $@)) $<

%.lex.c: %.l
	$(QUIET_LEX)$(LEX) $(LEXFLAGS) -o$@ $<

# our lexer includes the header from yacc, so make sure
# we don't attempt to compile it before the header has
# been generated as part of the yacc step.
emp_ematch.lex.o: emp_ematch.tab.c

ifneq ($(SHARED_LIBS),y)

tc: static-syms.o
static-syms.o: static-syms.h
static-syms.h: $(wildcard *.c)
	files="$^" ; \
	for s in `grep -B 3 '\<dlsym' $$files | sed -n '/snprintf/{s:.*"\([^"]*\)".*:\1:;s:%s::;p}'` ; do \
		sed -n '/'$$s'[^ ]* =/{s:.* \([^ ]*'$$s'[^ ]*\) .*:extern char \1[] __attribute__((weak)); if (!strcmp(sym, "\1")) return \1;:;p}' $$files ; \
	done > $@

endif

=== man/man8/Makefile ===
# SPDX-License-Identifier: GPL-2.0
TARGETS = ip-address.8 ip-link.8 ip-netns.8 ip-route.8 ip-rule.8

MAN8PAGES = $(TARGETS) $(filter-out $(TARGETS),$(wildcard *.8))

all: $(TARGETS)

%: %.in
	sed \
		-e "s|@NETNS_ETC_DIR@|$(NETNS_ETC_DIR)|g" \
		-e "s|@NETNS_RUN_DIR@|$(NETNS_RUN_DIR)|g" \
		-e "s|@SYSCONF_ETC_DIR@|$(CONF_ETC_DIR)|g" \
		-e "s|@SYSCONF_USR_DIR@|$(CONF_USR_DIR)|g" \
		$< > $@

distclean: clean

clean:
	@rm -f $(TARGETS)

install:
	$(INSTALLDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALLMAN) $(MAN8PAGES) $(DESTDIR)$(MANDIR)/man8

check: all
	@for page in $(MAN8PAGES); do test 0 -eq $$($(MAN_CHECK) $$page \
		$(MAN_REDIRECT)) || { echo "Error in $$page"; exit 1; }; done

.PHONY: install clean distclean check

=== debian/changelog ===
iproute2 (6.16.0-1ubuntu2) questing; urgency=medium

  * patches: Sync UAPI if_link.h with Linux 6.17, and drop the enum value
    for IFLA_VXLAN_FAN_MAP (LP: #2124257)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 30 Sep 2025 12:41:45 +0200

iproute2 (6.16.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Ubuntu FAN support

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 27 Aug 2025 15:52:29 +0200

iproute2 (6.16.0-1) unstable; urgency=medium

  [ Atila KOÇ ]
  * Updated Turkish debconf translation and copyright information.

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/6.16.0'

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Aug 2025 11:30:18 +0100

iproute2 (6.14.0-1ubuntu3) questing; urgency=medium

  * Do not use stdout to print info about default fan map usage (LP: #2115790)
    - d/p/1003-ubuntu-poc-fan-dynamic-map.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 08 Jul 2025 09:57:59 +0200

iproute2 (6.14.0-1ubuntu2) questing; urgency=medium

  * Expose IFLA_VXLAN_FAN_MAP version via sysctl/proc (LP: #2106115)
    - d/p/1003-ubuntu-poc-fan-dynamic-map.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 27 Jun 2025 15:33:43 +0200

iproute2 (6.14.0-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ubuntu Fan Support
  * FAN: Bump IFLA_VXLAN_FAN_MAP to match the kernel. (LP: #2105484)

 -- Ubuntu Merge-o-Matic <mom@ubuntu.com>  Tue, 25 Mar 2025 15:20:15 +0000

iproute2 (6.13.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Reintroduce Ubuntu Fan Support (LP: #2064508)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Feb 2025 23:02:00 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iproute2
 Section: net
 Priority: optional
-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>
 Homepage: https://wiki.linuxfoundation.org/networking/iproute2
 Vcs-Browser: https://salsa.debian.org/kernel-team/iproute2
@@ -11,6 +12,7 @@
 Build-Depends: bison,
                debhelper-compat (= 13),
                dh-package-notes,
+               dh-sequence-movetousr,
                flex,
                libxtables-dev,
                libatm1-dev,

=== debian/rules ===
--- 
+++ 
@@ -32,9 +32,8 @@
 execute_after_dh_clean:
 	make distclean
 
-override_dh_shlibdeps:
-	dh_shlibdeps -a -Xm_xt.so -Xm_ipt.so
-	dh_shlibdeps -a -- -pipmods -dRecommends -e debian/iproute2/usr/lib/$(DEB_HOST_MULTIARCH)/tc/m_xt.so -xlibc6
+override_dh_auto_configure:
+	dh_auto_configure -- --color=auto
 
 override_dh_auto_test:
 	# upstream test suite needs root and leaves machine unclean, skip it
@@ -43,3 +42,6 @@
 # package, so avoid shipping the manpage as well. See #873818
 override_dh_install:
 	dh_install -Xifstat.8
+
+override_dh_auto_install:
+	dh_auto_install --destdir $(CURDIR)/debian/tmp/

## iproute2 6.17.0

=== lib/Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 
 UTILOBJ = utils.o utils_math.o rt_names.o ll_map.o ll_types.o ll_proto.o ll_addr.o \
 	inet_proto.o namespace.o json_writer.o json_print.o json_print_math.o \
-	names.o color.o bpf_legacy.o bpf_glue.o exec.o fs.o cg_map.o ppp_proto.o
+	names.o color.o bpf_legacy.o bpf_glue.o exec.o fs.o cg_map.o \
+	ppp_proto.o bridge.o
 
 ifeq ($(HAVE_ELF),y)
 ifeq ($(HAVE_LIBBPF),y)

=== rdma/Makefile ===
# SPDX-License-Identifier: GPL-2.0 OR Linux-OpenIB
include ../config.mk

CFLAGS += -I./include/uapi/

RDMA_OBJ = rdma.o utils.o dev.o link.o res.o res-pd.o res-mr.o res-cq.o \
	   res-cmid.o res-qp.o sys.o stat.o stat-mr.o res-ctx.o res-srq.o \
	   monitor.o

TARGETS += rdma

all:	$(TARGETS) $(LIBS)

rdma:	$(RDMA_OBJ) $(LIBS)
	$(QUIET_LINK)$(CC) $^ $(LDFLAGS) $(LDLIBS) -o $@

install: all
	for i in $(TARGETS); \
	do install -m 0755 $$i $(DESTDIR)$(SBINDIR); \
	done

clean:
	rm -f $(RDMA_OBJ) $(TARGETS)

=== tc/Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 TCMODULES :=
 TCMODULES += q_fifo.o
+TCMODULES += q_dualpi2.o
 TCMODULES += q_sfq.o
 TCMODULES += q_red.o
 TCMODULES += q_prio.o

=== tipc/Makefile ===
# SPDX-License-Identifier: GPL-2.0
include ../config.mk

TIPCOBJ=bearer.o \
    cmdl.o link.o \
    media.o misc.o \
    msg.o nametable.o \
    node.o socket.o \
    peer.o tipc.o

TARGETS += tipc

all: $(TARGETS) $(LIBS)

tipc: $(TIPCOBJ)
	$(QUIET_LINK)$(CC) $^ $(LDFLAGS) $(LDLIBS) -o $@

install: all
	for i in $(TARGETS); \
	do install -m 0755 $$i $(DESTDIR)$(SBINDIR); \
	done

clean:
	rm -f $(TIPCOBJ) $(TARGETS)

=== testsuite/iproute2/Makefile ===
# SPDX-License-Identifier: GPL-2.0
SUBDIRS := $(filter-out Makefile,$(wildcard *))
.PHONY: all configure clean distclean show $(SUBDIRS)

all: configure
	@for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir; \
	done

link:
	@if [ ! -L iproute2-this ]; then \
		ln -s ../.. iproute2-this; \
	fi

configure: link
	@for dir in $(SUBDIRS); do \
		echo "Entering $$dir" && cd $$dir && if [ -f configure ]; then ./configure; fi && cd ..; \
	done

clean: link
	@for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir clean; \
	done

distclean: clean
	@for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir distclean; \
	done

show: link
	@echo "$(SUBDIRS)"

$(SUBDIRS):
	cd $@ && $(MAKE)

=== testsuite/tools/Makefile ===
# SPDX-License-Identifier: GPL-2.0
CFLAGS=
LDLIBS=
include ../../config.mk
ifeq ($(HAVE_CAP),y)
LDLIBS+= -lcap
endif

generate_nlmsg: generate_nlmsg.c ../../lib/libnetlink.a ../../lib/libutil.a
	$(QUIET_CC)$(CC) $(CPPFLAGS) $(CFLAGS) $(EXTRA_CFLAGS) -I../../include -I../../include/uapi -include../../include/uapi/linux/netlink.h -o $@ $^ -lmnl $(LDLIBS)

clean:
	rm -f generate_nlmsg

=== debian/changelog ===
iproute2 (6.17.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.17.0'
  * Add override for typo false positive

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 Oct 2025 21:32:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: iproute2
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>
 Homepage: https://wiki.linuxfoundation.org/networking/iproute2
 Vcs-Browser: https://salsa.debian.org/kernel-team/iproute2

=== debian/tests/control ===
# Dummy test so that changes to key packages trigger our autopkgtests on ci.debian.net
Features: test-name=hint-testsuite-triggers
Test-Command: /bin/true
Depends:
  linux-image-generic,
  linux-image-amd64 [amd64],
  linux-image-arm64 [arm64],
  gcc,
Restrictions: hint-testsuite-triggers

# the tests depend on the kernel and might break the env
# therefore do not run as build time tests
Tests: testsuite.sh
Restrictions: allow-stderr, isolation-machine, needs-root, rw-build-tree
Depends: locales-all, sudo:native, kmod, @builddeps@

## iproute2 6.18.0

=== Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 
 SUBDIRS=lib ip tc bridge misc netem genl man
 ifeq ($(HAVE_MNL),y)
-SUBDIRS += tipc devlink rdma dcb vdpa
+SUBDIRS += tipc devlink rdma dcb vdpa netshaper
 endif
 
 LIBNETLINK=../lib/libutil.a ../lib/libnetlink.a

=== debian/changelog ===
iproute2 (6.18.0-1ubuntu1) resolute; urgency=medium

  * Merge from debian/sid (6.18). Remaining changes:
    - Ubuntu FAN support
  * Dropped because those changes are already included in the rebase:
    - /d/p/1004-Sync-UAPI-if_link.h-with-Linux-6.17.patch
    - /d/p/2001-lib-Update-backend-of-print_size-to-accept-64-bit-si.patch
    - /d/p/2002-tc-Add-get_size64-and-get_size64_and_cell.patch
    - /d/p/2003-tc-Expand-tc_calc_xmittime-tc_calc_xmitsize-to-u64.patch
    - /d/p/2004-tc-police-enable-use-of-64-bit-burst-parameter.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 28 Jan 2026 10:07:38 +0100

iproute2 (6.18.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.18.0'
  * Install new netshaper program

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Dec 2025 16:52:57 +0000

iproute2 (6.16.0-1ubuntu3) resolute; urgency=medium

  * Modify tc police to permit burst sizes up greater than 4GB (LP: #2125448)
    - /d/p/2001-lib-Update-backend-of-print_size-to-accept-64-bit-si.patch
    - /d/p/2002-tc-Add-get_size64-and-get_size64_and_cell.patch
    - /d/p/2003-tc-Expand-tc_calc_xmittime-tc_calc_xmitsize-to-u64.patch
    - /d/p/2004-tc-police-enable-use-of-64-bit-burst-parameter.patch

 -- Jorge Merlino <jorge.merlino@canonical.com>  Wed, 05 Nov 2025 05:38:33 -0300

## iproute2 6.19.0

=== Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 
 SUBDIRS=lib ip tc bridge misc netem genl man
 ifeq ($(HAVE_MNL),y)
-SUBDIRS += tipc devlink rdma dcb vdpa netshaper
+SUBDIRS += tipc devlink rdma dcb vdpa netshaper dpll
 endif
 
 LIBNETLINK=../lib/libutil.a ../lib/libnetlink.a
@@ -111,6 +111,7 @@
 	install -m 0755 -d $(DESTDIR)$(BASH_COMPDIR)
 	install -m 0644 bash-completion/tc $(DESTDIR)$(BASH_COMPDIR)
 	install -m 0644 bash-completion/devlink $(DESTDIR)$(BASH_COMPDIR)
+	install -m 0644 bash-completion/dpll $(DESTDIR)$(BASH_COMPDIR)
 	install -m 0644 include/bpf_elf.h $(DESTDIR)$(HDRDIR)
 
 version:

=== dpll/Makefile ===
# SPDX-License-Identifier: GPL-2.0
include ../config.mk

# iproute2 libraries
LIBNETLINK=../lib/libutil.a ../lib/libnetlink.a

TARGETS :=
ALLOBJS :=

# Check if libmnl is available
ifeq ($(HAVE_MNL),y)

DPLLOBJ = dpll.o
TARGETS += dpll
ALLOBJS += dpll.o

# libmnl flags
dpll.o: CFLAGS += -I../include -I../include/uapi

else
$(warning "libmnl not found, skipping dpll tool build")
endif

# Default CFLAGS for all objects
CFLAGS += -I../include -I../include/uapi

all: $(TARGETS) $(LIBS)

dpll: $(DPLLOBJ) $(LIBNETLINK)
	$(QUIET_LINK)$(CC) $^ $(LDFLAGS) $(LDLIBS) -o $@

install: all
	for i in $(TARGETS); \
	do install -m 0755 $$i $(DESTDIR)$(SBINDIR); \
	done

clean:
	rm -f $(ALLOBJS) $(TARGETS)

=== debian/changelog ===
iproute2 (6.19.0-1) unstable; urgency=medium

  * Stop using dh-sequence-movetousr and manually move files in dh_install
    (Closes: #1122756)
  * Update upstream source from tag 'upstream/6.19.0'
  * Drop priority from d/control, now defaults to optional
  * Drop Rules-Requires-Root, now defaults to no
  * Bump Standards-version to 4.7.3
  * Install new dpll tool

 -- Luca Boccassi <bluca@debian.org>  Mon, 23 Feb 2026 00:01:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: iproute2
 Section: net
-Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>
 Homepage: https://wiki.linuxfoundation.org/networking/iproute2
 Vcs-Browser: https://salsa.debian.org/kernel-team/iproute2
 Vcs-Git: https://salsa.debian.org/kernel-team/iproute2.git
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Build-Depends: bison,
                debhelper-compat (= 13),
                dh-package-notes,
-               dh-sequence-movetousr,
                flex,
                libxtables-dev,
                libatm1-dev,
